package lightcontainer.protocol.rules.writer;

import lightcontainer.protocol.ProtocolWriter;

/**
 * Règle permettant de construire une commande contenant la liste des fichiers d'un utilisateur
 */
public class FilesRule extends ProtocolWriter {
    //"^FILES( ([^ !]{1,20})!([0-9]{1,10})){0,50}\r\n$"
    private static final String PATTERN = "^FILES( ([^ !]{1,20})!([0-9]{1,10})){0,50}\r\n$";

    public static final String NAME = "FILES";

    public FilesRule() {
        super(NAME, PATTERN);
    }

}
